### Method

# Shumate VectorValue get_boolean

since: 1.6

#### Declaration [src]

    gboolean
    shumate_vector_value_get_boolean (
      ShumateVectorValue* self,
      gboolean* boolean
    )

#### Description [src]

Gets the boolean value of `self`.

Available since: 1.6

#### Parameters

`boolean`

  Type: `gboolean*`

  A location to store the boolean value.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

`TRUE` if `self` is a boolean value and `boolean` was set, `FALSE` otherwise.